Package com.collabnet.ce.soap60.webservices.cemain

# Class CommentSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.CommentSoapRow

public class CommentSoapRow extends Object
List of comments for an object.

Since:
  4.1-SP2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `String`
  `getCreatedByFullname()`
  Returns 'createdByFullname'.
  `Date`
  `getDateCreated()`
  Returns 'dateCreated'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getTransactionId()`
  Returns 'transactionId'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setCreatedByFullname(String createdByFullname)`
  Sets 'createdByFullname'.
  `void`
  `setDateCreated(Date dateCreated)`
  Sets 'dateCreated'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setTransactionId(String transactionId)`
  Sets 'transactionId'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommentSoapRow

    public CommentSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. The ID of the comment.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. The ID of the comment.
    Parameters:
      `id` - Value of 'id'.

  - ### getTransactionId

    public String getTransactionId()
    Returns 'transactionId'. Transaction ID when comment was added.
    Returns:
      Value of 'transactionId'.

  - ### setTransactionId

    public void setTransactionId(String transactionId)
    Sets 'transactionId'. Transaction ID when comment was added.
    Parameters:
      `transactionId` - Value of 'transactionId'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'. Created by username.
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'. Created by username.
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getCreatedByFullname

    public String getCreatedByFullname()
    Returns 'createdByFullname'. Created by full name.
    Returns:
      Value of 'createdByFullname'.

  - ### setCreatedByFullname

    public void setCreatedByFullname(String createdByFullname)
    Sets 'createdByFullname'. Created by full name.
    Parameters:
      `createdByFullname` - Value of 'createdByFullname'.

  - ### getDateCreated

    public Date getDateCreated()
    Returns 'dateCreated'. Timestamp comment created.
    Returns:
      Value of 'dateCreated'.

  - ### setDateCreated

    public void setDateCreated(Date dateCreated)
    Sets 'dateCreated'. Timestamp comment created.
    Parameters:
      `dateCreated` - Value of 'dateCreated'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. Comment string.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. Comment string.
    Parameters:
      `description` - Value of 'description'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)